/* $Header:nice.c 12.0$ */
/* $ACIS:nice.c 12.0$ */
/* $Source: /ibm/acis/usr/src/bin/RCS/nice.c,v $ */

#ifndef lint
static char *rcsid = "$Header:nice.c 12.0$";
#endif

/*
 * Copyright (c) 1980 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#ifndef lint
char copyright[] =
"@(#) Copyright (c) 1980 Regents of the University of California.\n\
 All rights reserved.\n";
#endif not lint

#ifndef lint
static char sccsid[] = "@(#)nice.c	5.2 (Berkeley) 1/12/86";
#endif not lint

#include <stdio.h>

#include <sys/time.h>
#include <sys/resource.h>
char *progname;

main(argc, argv)
	int argc;
	char *argv[];
{
	int nicarg = 10;
	progname = argv[0];

	if (argc > 1 && argv[1][0] == '-') {
		nicarg = atoi(&argv[1][1]);
		argc--, argv++;
	}
	if (argc < 2) {
		fprintf(stderr, "usage: %s [ -n ] command\n", progname);
		exit(1);
	}
	if (setpriority(PRIO_PROCESS, 0, 
	    getpriority(PRIO_PROCESS, 0) + nicarg) < 0) {
		perror("setpriority");
		exit(1);
	}
	execvp(argv[1], &argv[1]);
	perror(argv[1]);
	exit(1);
}
